%global project_version 1.0-alpha-2
Name:           maven-stage-plugin
Version:        1.0
Release:        %mkrel 0.6.alpha2.3
Summary:        Plugin to copy artifacts from one repository to another

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-stage-plugin/
# svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-stage-plugin-1.0-alpha-2/
# tar jcf maven-stage-plugin-1.0-alpha-2.tar.bz2 maven-stage-plugin-1.0-alpha-2/
Source0:        %{name}-%{project_version}.tar.bz2

# Migrating from plexus-maven-plugin to plexus-containers-component-metadata
Patch0:         %{name}-plexus-maven-plugin.patch

BuildArch: noarch

BuildRequires: plexus-containers-component-metadata
BuildRequires: ant
BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: plexus-utils
Requires: ant
Requires: maven
Requires: jpackage-utils
Requires: java

Obsoletes: maven2-plugin-stage <= 0:2.0.8
Provides: maven2-plugin-stage = 1:%{version}-%{release}

%description
The Maven Stage Plugin copies artifacts from one repository to another. 
Its main use is for copying artifacts from a staging repository to 
the real repository.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires: jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q -n %{name}-%{project_version}
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{project_version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0-0.6.alpha2.3.mga4
+ Revision: 507852
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-0.6.alpha2.2.mga3
+ Revision: 359787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 dmorgan <dmorgan> 1.0-0.6.alpha2.1.mga3
+ Revision: 290004
- Fixed build, guidelines fixes, failed tests are no longer ignored

  + gil <gil>
    - replaced plexus-maven-plugin with plexus-component-metadata

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0-0.2.alpha2.3.mga2
+ Revision: 127172
- Build with maven v3.
    Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-0.2.alpha2.2.mga1
+ Revision: 92934
- Rebuild after bootstrapping
- imported package maven-stage-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.2.alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 02 2010 Yong Yang <yyang@redhat.com> 1.0-0.1.alpha2
- Initial package.
